Package org.eclipse.birt.chart.model.attribute.impl

# Class ImageImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.attribute.impl.FillImpl
org.eclipse.birt.chart.model.attribute.impl.ImageImpl

All Implemented Interfaces:
  `Fill`, `Image`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

Direct Known Subclasses:
  `EmbeddedImageImpl`, `PatternImageImpl`

public class ImageImpl extends FillImpl implements Image
An implementation of the model object ' Image'.

The following features are implemented:

- `URL`
- `Source`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`Image`
`copyInstance()`
A convenient method to get an instance copy.
`static final Image`
`create(String sURL)`
A convenient method to create and initialize an Image instance.
`static final Image`
`create(String sURL, ImageSourceType source)`
A convenient method to create and initialize an Image instance.
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`boolean`
`eIsSet(int featureID)`
`boolean`
`equals(Object obj)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`ImageSourceType`
`getSource()`
`String`
`getURL()`
`int`
`hashCode()`
`boolean`
`isSetSource()`
`void`
`setSource(ImageSourceType newSource)`
`void`
`setURL(String newURL)`
`String`
`toString()`
`void`
`unsetSource()`

### Methods inherited from class org.eclipse.birt.chart.model.attribute.impl.FillImpl

`getType, isSetType, setType, unsetType`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.birt.chart.model.attribute.Fill

`getType, isSetType, setType, unsetType`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getURL

public String getURL()

Specified by:
  `getURL` in interface `Image`
Returns:
  the value of the 'URL' attribute.
See Also:
  - `Image.setURL(String)`
  - `AttributePackage.getImage_URL()`

### setURL

public void setURL(String newURL)

Specified by:
  `setURL` in interface `Image`
Parameters:
  `newURL` - the new value of the 'URL' attribute.
See Also:
  - `Image.getURL()`

### getSource

public ImageSourceType getSource()

Specified by:
  `getSource` in interface `Image`
Returns:
  the value of the 'Source' attribute.
See Also:
  - `ImageSourceType`
  - `Image.isSetSource()`
  - `Image.unsetSource()`
  - `Image.setSource(ImageSourceType)`
  - `AttributePackage.getImage_Source()`

### setSource

public void setSource(ImageSourceType newSource)

Specified by:
  `setSource` in interface `Image`
Parameters:
  `newSource` - the new value of the 'Source' attribute.
See Also:
  - `ImageSourceType`
  - `Image.isSetSource()`
  - `Image.unsetSource()`
  - `Image.getSource()`

### unsetSource

public void unsetSource()

Specified by:
  `unsetSource` in interface `Image`
See Also:
  - `Image.isSetSource()`
  - `Image.getSource()`
  - `Image.setSource(ImageSourceType)`

### isSetSource

public boolean isSetSource()

Specified by:
  `isSetSource` in interface `Image`
Returns:
  whether the value of the 'Source' attribute is set.
See Also:
  - `Image.unsetSource()`
  - `Image.getSource()`
  - `Image.setSource(ImageSourceType)`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `FillImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `FillImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `FillImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `FillImpl`

### toString

public String toString()

Overrides:
  `toString` in class `FillImpl`

### create

public static final Image create(String sURL)
A convenient method to create and initialize an Image instance. NOTE: Manually written

Parameters:
  `sURL` -
Returns:
  image

### create

public static final Image create(String sURL, ImageSourceType source)
A convenient method to create and initialize an Image instance. NOTE: Manually written

Parameters:
  `sURL` -
  `imageSourceType` -
Returns:
  image

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### copyInstance

public Image copyInstance()
A convenient method to get an instance copy. This is much faster than the ECoreUtil.copy().

Specified by:
  `copyInstance` in interface `Fill`
Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Image`
Overrides:
  `copyInstance` in class `FillImpl`